<form [formGroup]="registrationForm" class="registration_form">
  <h1 mat-dialog-title>
    Реєстрація
  </h1>
  <span class="change_form_link" (click)="showAuthorizationForm()">
    Авторизація
  </span>
  <div mat-dialog-content class="registration_form_content">
    <mat-form-field class="form_field">
      <input matInput type="text" placeholder="Ім'я" formControlName="name" [errorStateMatcher]="inputErrorStateMatcher">
      <mat-hint>
        Введіть ім'я
      </mat-hint>
      <mat-error *ngIf="registrationForm.get('name').hasError('required')">
        Поле 'ім'я' <strong>обов'язкове</strong>
      </mat-error>
    </mat-form-field>
    <mat-form-field class="form_field">
      <input matInput type="text" placeholder="Прізвище" formControlName="lastname" [errorStateMatcher]="inputErrorStateMatcher">
      <mat-hint>
        Введіть прізвище
      </mat-hint>
      <mat-error *ngIf="registrationForm.get('lastname').hasError('required')">
        Поле прізвище <strong>обов'язкове</strong>
      </mat-error>
    </mat-form-field>
    <mat-form-field class="form_field">
        <input matInput type="email" email placeholder="E-mail" formControlName="email" [errorStateMatcher]="inputErrorStateMatcher">
        <mat-hint>
          Введіть e-mail
        </mat-hint>
        <mat-error *ngIf="registrationForm.get('email').hasError('email') && !registrationForm.hasError('required')">
          Будь ласка, введіть правильний e-mail
        </mat-error>
        <mat-error *ngIf="registrationForm.get('email').hasError('required')">
          Поле 'e-mail' <strong>обов'язкове</strong>
        </mat-error>
    </mat-form-field>
    <mat-form-field class="form_field">
      <input matInput type="password" placeholder="Пароль" formControlName="password" [errorStateMatcher]="inputErrorStateMatcher">
      <mat-hint>
        Введіть пароль
      </mat-hint>
      <mat-error *ngIf="registrationForm.get('password').hasError('required')">
        Поле 'пароль' <strong>обов'язкове</strong>
      </mat-error>
    </mat-form-field>
  </div>
  <div mat-dialog-actions>
    <button mat-button mat-raised-button (click)="registration()" color="primary">Зареєструватись</button>
  </div>
</form>
